Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class SDSDOT

    java.lang.Object
      org.netlib.blas.SDSDOT

    public class SDSDOT

extends java.lang.Object

    SDSDOT is a simplified interface to the JLAPACK routine sdsdot.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  PURPOSE
     *  =======
     *
     *  Compute the inner product of two vectors with extended
     *  precision accumulation.
     *
     *  Returns S.P. result with dot product accumulated in D.P.
     *  SDSDOT = SB + sum for I = 0 to N-1 of SX(LX+I*INCX)*SY(LY+I*INCY),
     *  where LX = 1 if INCX .GE. 0, else LX = 1+(1-N)*INCX, and LY is
     *  defined in a similar way using INCY.
     *
     *  AUTHOR
     *  ======
     *  Lawson, C. L., (JPL), Hanson, R. J., (SNLA),
     *  Kincaid, D. R., (U. of Texas), Krogh, F. T., (JPL)
     *
     *  ARGUMENTS
     *  =========
     *
     *  N      (input) INTEGER
     *         number of elements in input vector(s)
     *
     *  SB     (input) REAL
     *         single precision scalar to be added to inner product
     *
     *  SX     (input) REAL array, dimension (N)
     *         single precision vector with N elements
     *
     *  INCX   (input) INTEGER
     *         storage spacing between elements of SX
     *
     *  SY     (input) REAL array, dimension (N)
     *         single precision vector with N elements
     *
     *  INCY   (input) INTEGER
     *         storage spacing between elements of SY
     *
     *  SDSDOT (output) REAL
     *         single precision dot product (SB if N .LE. 0)
     *
     *  REFERENCES
     *  ==========
     *
     *  C. L. Lawson, R. J. Hanson, D. R. Kincaid and F. T.
     *  Krogh, Basic linear algebra subprograms for Fortran
     *  usage, Algorithm No. 539, Transactions on Mathematical
     *  Software 5, 3 (September 1979), pp. 308-323.
     *
     *  REVISION HISTORY  (YYMMDD)
     *  ==========================
     *
     *  791001  DATE WRITTEN
     *  890531  Changed all specific intrinsics to generic.  (WRB)
     *  890831  Modified array declarations.  (WRB)
     *  890831  REVISION DATE from Version 3.2
     *  891214  Prologue converted to Version 4.0 format.  (BAB)
     *  920310  Corrected definition of LX in DESCRIPTION.  (WRB)
     *  920501  Reformatted the REFERENCES section.  (WRB)
     *  070118  Reformat to LAPACK coding style
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SDSDOT()`

Method Summary
`static float` | `SDSDOT(int n, float sb, float[] sx, int incx, float[] sy, int incy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDSDOT

    public SDSDOT()

Method Detail

### SDSDOT

    public static float SDSDOT(int n,
                               float sb,
                               float[] sx,
                               int incx,
                               float[] sy,
                               int incy)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD